> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate signature request

> Creates a signature request for the brokerage firm using the provided payload.



## OpenAPI

````yaml /openapi.json post /brokerage-firms/{brokerageFirmId}/signature
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms/{brokerageFirmId}/signature:
    post:
      tags:
        - brokerage-firms
      summary: Generate signature request
      description: >-
        Creates a signature request for the brokerage firm using the provided
        payload.
      operationId: BrokerageFirmController_generateSignatureRequest
      parameters:
        - name: brokerageFirmId
          required: true
          in: path
          description: the brokerageFirm id
          schema:
            type: string
      requestBody:
        required: true
        description: Signature request payload
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/GenerateSignatureRequestForBrokerageFirmInputBody
      responses:
        '200':
          description: Signature request generated successfully.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GenerateSignatureRequestForBrokerageFirmOutput
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/BrokerageFirmNotFoundErrorDto'
              examples:
                BROKERAGE_FIRM_NOT_FOUND:
                  $ref: '#/components/schemas/BrokerageFirmNotFoundErrorDto'
          description: ''
components:
  schemas:
    GenerateSignatureRequestForBrokerageFirmInputBody:
      type: object
      properties:
        deliveryMode:
          type: string
          description: >-
            The delivery mode of the signature request. An email sent to the
            signer or a URL for an embed signature.
          enum:
            - EMAIL
            - URL
      required:
        - deliveryMode
    GenerateSignatureRequestForBrokerageFirmOutput:
      type: object
      properties:
        signatures:
          description: the signature requests
          type: array
          items:
            $ref: '#/components/schemas/SignatureRequestOutput'
      required:
        - signatures
    BrokerageFirmNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - BROKERAGE_FIRM_NOT_FOUND
        message:
          type: string
          example: No brokerage firm found for brokerage firm id {brokerageFirmId}
        details:
          $ref: '#/components/schemas/BrokerageFirmNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    SignatureRequestOutput:
      type: object
      properties:
        id:
          type: string
          description: the signature id
        signers:
          description: the signers
          type: array
          items:
            $ref: '#/components/schemas/SignerDto'
      required:
        - id
        - signers
    BrokerageFirmNotFoundDetailsDto:
      type: object
      properties:
        brokerageFirmId:
          type: string
        source:
          type: string
        policyId:
          type: string
      required:
        - brokerageFirmId
    SignerDto:
      type: object
      properties:
        customerId:
          type: string
          description: Customer Id
        url:
          type: string
          description: Signature url
      required:
        - customerId
        - url

````